<?
session_start();
if ($_SESSION['estado'] != "ON")
		{
		?>
		<script>
			parent.location.href = 'index.php';
		</script>
		<? 
		exit();
		}
include "../conex.php";                // ***************  06/11(09 ********************
$rut_cliente_buscar = $_GET["rutc"];
$sucursal= $_GET["suc"];
if ($sucursal=='') $sucursal='PRINCIPAL';

// fecha hoy
		$unixtime = time();
		$settime = $unixtime;
		$mi_dia = date("d",$settime);
		$mi_mes = date("m",$settime);
		$mi_ano = date("Y",$settime); 
		$fecha= $mi_ano."-".$mi_mes."-".$mi_dia;    //  hoy
		
//  **************  Revisa existencia de actividad de descuento ******************************
$descuento_cliente='N';
 $id_segmento= '';
$cont=0;
    $sql_bc = "SELECT * FROM descuentos WHERE  fecha_inicio<='$fecha' AND fecha_final>='$fecha'";
	$res_bc = mysql_query($sql_bc,$enlace);
	while (mysql_fetch_object ($res_bc))
	 {
	 $id_segmento= mysql_result($res_bc, $cont, "id_segmento");
	 $cont+=1;
     }
if ($cont!=0)	  //*******  existe descuento
   {
		
//  ***  Revisa existencia Lista Descuento Clientes ****

        
           //  ***  Existe Lista Descuento Clientes **** ver si el cliente esta en la lista.   
			$cont=0;
			$sql_bc = "SELECT descuento FROM descuentos, descuentos_clientes WHERE  id_descuento=descuentos.id AND fecha_inicio<='$fecha' AND fecha_final>='$fecha' AND rut = '$rut_cliente_buscar'";
			$res_bc = mysql_query($sql_bc,$enlace);
			while (mysql_fetch_object ($res_bc))
	 		{
			 $descuento_cliente= mysql_result($res_bc, $cont, "descuento");
	 		$cont+=1;
     		}	   
		   // de aqui sale $descuento_cliente=>0
	
			
		          //******* fin  existe lista descuento clientes
	
      if  ($descuento_cliente=='N')       
        {   
			$cont=0;
		$sql_bc = "SELECT * FROM nombres WHERE nombres.rut = '$rut_cliente_buscar'";
		$res_bc = mysql_query($sql_bc,$enlace);
		if(mysql_fetch_object($res_bc))
			{
			$bc_segmento = mysql_result($res_bc, $cont, "nombres.bloqueada");
			 $cont+=1;
			}
			
			if ($id_segmento==0 || $id_segmento==$bc_segmento)  	$descuento_cliente='S';
			
       
			
		} 	
	          //*******  fin existe descuento
	}    //*******  NO existe descuento

//  **************  busca dctos **********
$cheque = 0;
		$sqldcto = "select  sum(monto) as monto FROM documentos_clientes WHERE rut='$rut_cliente_buscar' AND cobrado='N'";
		$resdcto = mysql_query($sqldcto,$enlace);	
	  if (mysql_fetch_object ($resdcto))
		{
		$cheque = mysql_result($resdcto, 0, "monto"); 
		}	
if($cheque == '') $cheque = 0;

//  **************  busca ctacte  facturas pendientes **********
$cta_cte = 0;
	$sqldcto = "select  sum(total-pagada) as monto FROM salida WHERE tipo_pago=3 AND tipo_dcto=2 AND rut_cliente='$rut_cliente_buscar'";
		 $resdcto = mysql_query($sqldcto,$enlace);	
		   if (mysql_fetch_object ($resdcto))
		{
		$cta_cte = mysql_result($resdcto, 0, "monto");		
		}	
	if($cta_cte == '') $cta_cte = 0;	
//  **************  busca clientes sucursal
$cont=0;
$sql_bc = "SELECT * FROM nombres, sucursales WHERE sucursales.rut = '$rut_cliente_buscar' AND nombres.rut = sucursales.rut AND  sucursales.sucursal='$sucursal'";
	$res_bc = mysql_query($sql_bc,$enlace);
	if(mysql_fetch_object($res_bc))
		{
		$bc_estado = mysql_result($res_bc, $cont, "nombres.cliente");
		$bc_rut = mysql_result($res_bc, $cont, "sucursales.rut");
		$bc_rsoc = mysql_result($res_bc, $cont, "sucursales.razon_social");
        $bc_mail = mysql_result($res_bc, $cont, "sucursales.email");
		$bc_act = mysql_result($res_bc, $cont, "sucursales.rubro_giro");
		$bc_vendedor = mysql_result($res_bc, $cont, "sucursales.id_vendedor");
		$bc_zona = mysql_result($res_bc, $cont, "sucursales.id_zona");
		$bc_dire = mysql_result($res_bc, $cont, "sucursales.direccion");
		$bc_ciud = mysql_result($res_bc, $cont, "sucursales.ciudad");
		$bc_comu = mysql_result($res_bc, $cont, "sucursales.comuna");
		$bc_reg = mysql_result($res_bc, $cont, "sucursales.region");
		$bc_fono = mysql_result($res_bc, $cont, "sucursales.fono");
		$bc_fax = mysql_result($res_bc, $cont, "sucursales.fax");
		
		$bc_bloqueada = mysql_result($res_bc, $cont, "nombres.bloqueada");
		$bc_ctacte = mysql_result($res_bc, $cont, "nombres.ctacte");
		
		$bc_montoctacte = mysql_result($res_bc, $cont, "nombres.monto_credito");
		
		$bc_dias_plazo = mysql_result($res_bc, $cont, "nombres.dias_plazo");
		
		$bc_observa = mysql_result($res_bc, $cont, "nombres.observaciones");
			
		if ($bc_ctacte=='False')  $t_ctacte = 0; else $t_ctacte = 1;
	
	//**********  contratos  ***********
	$contrato_1 = mysql_result($res_bc, $cont, "nombres.contrato_1");
	$tipo_1 = mysql_result($res_bc, $cont, "nombres.tipo_1");
	$valor_1 = mysql_result($res_bc, $cont, "nombres.valor_1");
	$contrato_2 = mysql_result($res_bc, $cont, "nombres.contrato_2");
	$tipo_2 = mysql_result($res_bc, $cont, "nombres.tipo_2");
	$valor_2 = mysql_result($res_bc, $cont, "nombres.valor_2");
	
		$lstreg=$bc_reg;
		$lstcom=$bc_comu;
		$lstvendedor=$bc_vendedor;
		if ($bc_montoctacte=='') $bc_montoctacte=0;
		$txtmontoctacte=$bc_montoctacte;
		
		$txtdiasplazo=$bc_dias_plazo;
		
	    $txtrut=$rut_cliente_buscar;
		$t_usado=$cta_cte;                      ///  + $cheque
		if (($txtmontoctacte-$t_usado)<0) 
		{$bc_bloqueada='True';
		?>
	   <script languaje="javascript">
	 alert("Bloqueado por Monto de Credito");
	   	</script>
		<?
         }
	// calculo de fecha de acuerdo a dias plazo.
		$unixtime = time();
		$settime = $unixtime;
		$mi_dia = date("d",$settime);
		$mi_mes = date("m",$settime);
		$mi_ano = date("Y",$settime); 
		$fecha= $mi_ano."-".$mi_mes."-".$mi_dia;    //  hoy
        $unixtime = time();
		$settime = $unixtime  + ( 86400* $bc_dias_plazo);
		$mi_dia = date("d",$settime);
		$mi_mes = date("m",$settime);
		$mi_ano = date("Y",$settime); 
		$fecha2 = $mi_ano."-".$mi_mes."-".$mi_dia;    //  vencimiento
    
		
		
//  **************  busca facturas pendientes  plazo vencido**********
if ($cta_cte!=0)
     {  $x=0;
	$sqldcto = "select  * FROM salida WHERE rut_cliente='$rut_cliente_buscar' AND tipo_pago=3 AND total-pagada<>0 AND fecha_vencimiento < '$fecha'";
		  $resdcto = mysql_query($sqldcto,$enlace);	
		 if (mysql_fetch_object ($resdcto))
			{	$x=1;			}
			
		if ($x==1) 
		
		{
		//$bc_bloqueada='True';			
		?>
	   <script languaje="javascript">
	 alert("Bloqueado por facturas pendientes");
	 	</script>
		<?

		}
      }

//  **************		
		
		
		
		}
		
?>
	<script languaje="javascript">
	
	
	if ('<? echo $bc_estado;?>'=='True' && '<? echo $bc_bloqueada;?>'=='False')
	  {
		window.opener.document.form1.txtrsoc.value = '<? echo $bc_rsoc;?>';
		window.opener.document.form1.txtsucursal.value = '<? echo $sucursal;?>';
		window.opener.document.form1.txtdireccion.value = '<? echo $bc_dire;?>';
		window.opener.document.form1.txtemail.value = '<? echo $bc_mail;?>';
		window.opener.document.form1.txtciudad.value = '<? echo $bc_ciud;?>';
		window.opener.document.form1.txtactividad.value = '<? echo $bc_act;?>';
		window.opener.document.form1.lstcom.value = '<? echo $bc_comu;?>';
		window.opener.document.form1.lstreg.value = '<? echo $bc_reg;?>';
		window.opener.document.form1.lstvendedor.value = '<? echo $bc_vendedor;?>';
		window.opener.document.form1.txtcom.value='<? echo $bc_comu;?>';	
		window.opener.document.form1.txtfono.value = '<? echo $bc_fono;?>';
		window.opener.document.form1.txtfax.value = '<? echo $bc_fax;?>';
		window.opener.document.form1.txtsaldoctacte.value = <? echo $t_usado;?>;
		window.opener.document.form1.txtsaldodcto.value = <?=$cheque;?>;
		if ('<? echo $bc_ctacte;?>'=='True') window.opener.document.form1.lstpago.value = 3;
		else window.opener.document.form1.lstpago.value = 1;
	
		window.opener.document.form1.txtmontoctacte.value = '<? echo $bc_montoctacte;?>';
		window.opener.document.form1.txtdiasplazo.value = '<? echo $bc_dias_plazo;?>';
		     
	    window.opener.document.form1.txtobserva.value = '<?  echo $bc_observa;?>'; 
	    window.opener.document.form1.descuento_cliente.value = '<?=$descuento_cliente;?>';
		
   window.opener.document.form1.contrato_1.value = '<?=$contrato_1;?>';
	 window.opener.document.form1.tipo_1.value = '<?=$tipo_1;?>';
	  window.opener.document.form1.valor_1.value = '<?=$valor_1;?>';	
		
	window.opener.document.form1.contrato_2.value = '<?=$contrato_2;?>';
	 window.opener.document.form1.tipo_2.value = '<?=$tipo_2;?>';
	  window.opener.document.form1.valor_2.value = '<?=$valor_2;?>';
		
	// calculo de fecha de acuerdo a dias plazo.
        window.opener.document.form1.fecha2.value = '<?=$mi_dia;?>/<?=$mi_mes;?>/<?=$mi_ano;?>';  
		window.opener.valval();  
		
		
		 //***************
		}

	else if ('<? echo $bc_estado;?>'=='False'){
		window.opener.document.form1.txtrut.value ='';
		window.opener.document.form1.txtrsoc.value = '';
		window.opener.document.form1.txtsucursal.value ='';
		window.opener.document.form1.txtdireccion.value = '';
		window.opener.document.form1.txtemail.value = '';
		window.opener.document.form1.txtciudad.value = '';
		window.opener.document.form1.txtactividad.value = '';
		window.opener.document.form1.lstreg.value = 'null';
		window.opener.document.form1.lstcom.value = 'null';
		window.opener.document.form1.lstcom.disabled = true;
		window.opener.document.form1.txtcom.value='';	
		window.opener.document.form1.txtfono.value = '';
		window.opener.document.form1.txtfax.value = '';
		window.opener.document.form1.txtctacte.value = 1;
		window.opener.document.form1.lstpago.value = 1;
		window.opener.document.form1.txtsaldodcto.value = 0;
		window.opener.document.form1.txtmontoctacte.value = 0;
		window.opener.document.form1.txtdiasplazo.value = 0;
			
		window.opener.document.form1.txtobserva.value = '';		
		alert("El Rut ingresado no corresponde a un cliente");
		}
	else if ('<? echo $bc_bloqueada;?>'=='True')
	   {
		window.opener.document.form1.txtrut.value ='';
		window.opener.document.form1.txtrsoc.value = '';
		window.opener.document.form1.txtdireccion.value = '';
		window.opener.document.form1.txtemail.value = '';
		window.opener.document.form1.txtciudad.value = '';
		window.opener.document.form1.txtactividad.value = '';
		window.opener.document.form1.lstreg.value = 'null';
		window.opener.document.form1.lstcom.value = 'null';
		window.opener.document.form1.lstcom.disabled = true;
		window.opener.document.form1.txtcom.value='';	
		window.opener.document.form1.txtfono.value = '';
		window.opener.document.form1.txtfax.value = '';
		window.opener.document.form1.txtctacte.value = 1;
		window.opener.document.form1.lstpago.value = 1;
		
		window.opener.document.form1.txtmontoctacte.value = 0;
		window.opener.document.form1.txtdiasplazo.value = 0;
			
		window.opener.document.form1.txtobserva.value = '';		
		//alert("El Cliente esta bloqueado Credito");
		}			
		window.close();
		
	</script>
